Add Interface Behavior
Add a new interface Behavior if the Interface is not in use
Add a new Behavior to the Interface. Only allowed if the Interface is not in use.
Request
URI
POST
https://{api_host}/cloudapi/1.0.0/interfaces/{id}/behaviors
COPY
Path Parameters
string
id
Required
id
Request Body
Behavior
of type(s)
application/json
Optional
{
"name": "addNode",
"id": "urn:vcloud:behavior-type:addNode:vendorA:pksContainerCluster:1.0.0:vendorA:containerCluster:1.0.0",
"ref": "urn:vcloud:behavior-interface:testNode:vendorA:containerCluster:1.0.0",
"description": "Adds a node to the cluster.\nParameters:\n clusterId: the ID of the cluster\n node: The node address\n",
"execution": {
"execution": {}
}
}
Responses
200
OK
Returns
Behavior
of type(s)
application/json;version=9.1.0
{
"name": "addNode",
"id": "urn:vcloud:behavior-type:addNode:vendorA:pksContainerCluster:1.0.0:vendorA:containerCluster:1.0.0",
"ref": "urn:vcloud:behavior-interface:testNode:vendorA:containerCluster:1.0.0",
"description": "Adds a node to the cluster.\nParameters:\n clusterId: the ID of the cluster\n node: The node address\n",
"execution": {
"execution": {}
}
}
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/1.0.0/interfaces/{id}/behaviors
Availability
Added in 35.0
On This Page
Defined Interface Behaviors Operations
GET
Get Defined Entity Type Behaviors
GET
Get Type Behavior
PUT
Update Type Behavior
DELETE
Remove Behavior Override
GET
Schedule Behavior Query
POST
Schedule Behavior
GET
Get Scheduled Behavior
PUT
Edit Scheduled Behavior
DELETE
Unschedule Behavior
GET
Get Defined Entity Type Access
POST
Add Defined Entity Type Access
PUT
Set Defined Entity Type Access
GET
Get Interface Behaviors
POST
Add Interface Behavior
PUT
Update Interface Behaviors
GET
Get Interface Behavior
PUT
Update Interface Behavior
DELETE
Delete Interface Behavior
POST
Invoke Static Behavior
GET
Get Static Behavior Execution Log
POST
Invoke Defined Entity Behavior
GET
Get Behavior Execution Log